<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from mbigint_iconvert.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="mbigint_iconvert" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>mbigint_iconvert</refname>
    <refpurpose>convert mbigint to double</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   y=double(x)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x:</term>
      <listitem><para> mbigint</para></listitem></varlistentry>
   <varlistentry><term>y :</term>
      <listitem><para> double</para></listitem></varlistentry>
   <varlistentry><term>itype :</term>
      <listitem><para> not used</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
convert mbigint to double using string representation (with rounding errors if greather than <latex>10^{16}</latex>
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
//
x=brand(2,3,1e10)
typeof(x)
y=double(x)
typeof(y)
x=brand(2,3,1e20) // rounding error
y=double(x)

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="mbigint">mbigint</link></member>
   <member><link linkend="double">double</link></member>
   <member><link linkend="mbigint_string">mbigint_string</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Philippe Roux</member>
   </simplelist>
</refsection>
</refentry>
